require "plugrush/version"
require "httparty"

module Plugrush
  include HTTParty
  default_options.update(verify: false)
  base_uri "https://www.plugrush.com/api"
  def initialize(email, api_key)
    @credentials = "?user=#{email}&api_key=#{api_key}"
  end


  def self.stats_on_date(start_date, end_date)
    get("#{@credentials}&action=advertiser/stats&start=#{start_date}&end=#{end_date}&breakdown=dates")
  end

  def self.campaign_list
    get("#{@credentials}&action=campaign/list")
  end

  def self.stop(campaign_id)
    get("#{@credentials}&action=campaign/pause&id=#{campaign_id}&pause=1")
  end

  def self.start(campaign_id)
    get("#{@credentials}&action=campaign/pause&id=#{campaign_id}&pause=0")
  end

end
